module.exports = {
  /* eslint will stop looking in parent folders once it finds a configuration with "root": true */
  root: true,
  parser: 'babel-eslint',
  parserOptions: {
    ecmaVersion: 6,
    ecmaFeatures: {
      impliedStrict: true
    },
    sourceType: 'module'
  },
  env: {
    browser: true,
    node: true
  },
  extends: 'airbnb-base',
  plugins: [
    /* required to lint *.vue files */
    'html'
  ],
  /*
   * custom rules
   *
   * "off"   or 0 - turn the rule off
   * "warn"  or 1 - turn the rule on as a warning (doesn’t affect exit code)
   * "error" or 2 - turn the rule on as an error (exit code is 1 when triggered)
   */
  'rules': {
    /* allow debugger during development */
    'no-debugger': process.env.NODE_ENV === 'production' ? 2 : 0,
    'comma-dangle': 0,
    'no-underscore-dangle': 0,
    'linebreak-style': [0, 'unix'],
    'max-len': 1,
    /* to configure a rule which is defined within a plugin you have to prefix the rule id with the plugin name and a '/' */
    'import/no-unresolved': 0,
    'import/imports-first': 0,
    'dot-notation': 1,
    'new-cap': 0,
    'global-require': 1,
    'no-unused-vars': 1,
    'no-new': 1
  }
};
